Bug 56711 - locale hu_HU order problem
Summary: locale hu_HU order problem
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-26 09:57 UTC by Need Real Name
Modified: 2016-11-24 15:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 09:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-26 09:57:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.12 i686)

Description of problem:
In the Red Hat locale file (hu_HU) the alphatbetical order is not correct.
I corrected the file, but it isnt works. The order didnt changed.

Red Hat 7.1
glibc 2.2.2-12
Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.get this file http://chichki.ttk.pte.hu/locales/charset.txt
2.and do this : sort charset.txt

	

Actual Results:  I'll get a bad alphabetical ordered text.

Expected Results:  the correct is:
a a' b c cs d dz dzs e e' f g gy h i i' j k l ly m n ny o o' o: o" p q r s
sz t ty u u' u: u" v w x y zs

The o, o', o:, o" and the u u' u: u" isnt good.


Additional info:

I'll try to correct the problem, but in glibc 2.2 
i cant add new reorder entries. I do the changes
but there isnt changed anything.
see the http://chichki.ttk.pte.hu/locales/hu_HU.tar.gz file.

Comment 1 Jakub Jelinek 2001-11-26 10:17:11 UTC
First show me any standards document which backs up your claim.
AFAIK most of the locales when collating first strip all accents and letter case,
compare such strings and only if they are equal in such comparison, compare
them again with all the accents and letter case etc.
At least it works that way in Czech and I would be very suprised if it didn't
work that way in Hungarian.

Comment 2 Alan Cox 2002-12-15 18:26:07 UTC
Um the standards references I can find back him up. Also there are multi letter
sort ordering rules (as with Welsh).

Was this eveyr fixed ?


Comment 3 Ulrich Drepper 2003-10-03 09:38:54 UTC
The files are not accessible anymore.  I cannot verify where this works as
expected.  We definitely have extensive collation order difference over the
generic sorting code so there is at least some support.  If not, provide the
data files again.


Note You need to log in before you can comment on or make changes to this bug.